=== debian/changelog ===
workrave (1.9.1-3) unstable; urgency=medium

  * Sync with Ubuntu:
    - merge in gtkmm API changes (closes: #577317)

 -- Francois Marier <francois@debian.org>  Wed, 14 Apr 2010 12:04:25 +1200

workrave (1.9.1-2) unstable; urgency=low

  * Drop the dependency on libgnomeuimm-2.6-dev (closes: #568802)
  * Bump Standards-Version to 3.8.4
  * Switch to 3.0 (quilt) source format

 -- Francois Marier <francois@debian.org>  Tue, 09 Feb 2010 15:20:30 +1300

workrave (1.9.1-1) unstable; urgency=low

  * New upstream release (closes: #496842)
  * Drop all debian patches (merged upstream)

 -- Francois Marier <francois@debian.org>  Mon, 26 Oct 2009 13:57:43 +1300

workrave (1.9.0-8) unstable; urgency=low

  * Fix dpatch support so that patches are applied (closes: #550630)
  * Fix FTBFS on gcc 4.4 (closes: #550607, LP: 448742)

  * Bump Standards-Version to 3.8.3
  * Remove dh_desktop from debian/rules
  * Add README.source
  * Add a dependency on misc:depends (lintian warning)
  * Cleanup GPL notice (lintian notice)

 -- Francois Marier <francois@debian.org>  Mon, 12 Oct 2009 12:49:51 +1300

workrave (1.9.0-7) unstable; urgency=low

  * Fix timers on newer X servers (like Ubuntu Jaunty) using a patch from
    upstream (http://issues.workrave.org/cgi-bin/bugzilla/show_bug.cgi?id=804)
  * Bump Standards-Version to 3.8.1
  * Bump debhelper compatibility to 7
  * debian/rules: make use of dh_prep

 -- Francois Marier <francois@debian.org>  Sat, 21 Mar 2009 16:09:33 +1300

workrave (1.9.0-6) unstable; urgency=low

  * Changed the package priority to extra because of a dependency on
    libxcb-render-util0 which is also in the extra priority
  * Update watch file to accommodate dashes in the version number

 -- Francois Marier <francois@debian.org>  Tue, 11 Nov 2008 12:15:41 +1300

workrave (1.9.0-5) unstable; urgency=low

  * Fix the saving of the username value in the network preferences

 -- Francois Marier <francois@debian.org>  Wed, 10 Sep 2008 16:59:19 +1200

workrave (1.9.0-4) unstable; urgency=low

  * Add common/bin/DBus-glib.xml from upstream svn since it's missing
    from the tarball and appears to be required (closes: #497393)

 -- Francois Marier <francois@debian.org>  Thu, 04 Sep 2008 21:11:02 +1200

workrave (1.9.0-3) unstable; urgency=low

  * Add python-cheetah to Build-Depends (closes: #496331)

 -- Francois Marier <francois@debian.org>  Tue, 26 Aug 2008 17:24:36 +1200

workrave (1.9.0-2) unstable; urgency=low

  * Add intltool to Build-Depends (closes: #495031)
  * Fix watch file

 -- Francois Marier <francois@debian.org>  Thu, 14 Aug 2008 12:41:06 -0400

workrave (1.9.0-1) unstable; urgency=low

  * New upstream release (closes: #448860, #471261, #483532)
  * Add new build dependencies: libgdome2-dev and libgstreamer0.10-dev
  * Remove custom desktop and xpm files since they're now upstream

 -- Francois Marier <francois@debian.org>  Tue, 22 Jul 2008 09:55:02 +1200

workrave (1.8.5-7) unstable; urgency=low

  * Bump debhelper dependency/compatibility to 6
  * Bump Standards-Version to 3.8.0 (no changes)
  * Treat NEWS as the upstream changelog
  * Switch the packaging repo to git

 -- Francois Marier <francois@debian.org>  Sat, 12 Jul 2008 10:49:28 +1200

workrave (1.8.5-6) unstable; urgency=low

  * Add categories to the .desktop file (closes: #464527)
  * Proper copyright statement in debian/copyright
  * Create a new workrave-data package for arch-independent files
  * Remove RSI acronym from the short description

 -- Francois Marier <francois@debian.org>  Wed, 27 Feb 2008 15:10:06 +1300

workrave (1.8.5-5) unstable; urgency=low

  * Make debian/control point to the Workrave homepage, not the renameutils
    one (closes: #461779)
  * Fix GCC 4.3 compilation errors using a patch from Ubuntu (closes: #455113)
  * Remove Encoding key from the .desktop file
  * Fix spelling of GNOME in package description

 -- Francois Marier <francois@debian.org>  Sat, 26 Jan 2008 12:43:44 +1300

workrave (1.8.5-4) unstable; urgency=low

  * Fix the watch file (closes: #453544)
  * Bump Standards-Version to 3.7.3 (no changes)
  * Remove /usr/sbin from debian/dirs (it was empty)
  * Add a call to dh_desktop in debian/rules

 -- Francois Marier <francois@debian.org>  Tue, 11 Dec 2007 13:29:54 +1300

workrave (1.8.5-3) unstable; urgency=low

  * Rename XS-Vcs-* fields to Vcs-*
  * Sync with Ubuntu: fix the GNOME applet icon and category

 -- Francois Marier <francois@debian.org>  Wed, 21 Nov 2007 09:28:25 +1300

workrave (1.8.5-2) unstable; urgency=low

  * New feature: ability to disable the network server (and close that port), 
    separately from disabling all network functionalities altogether
    (see http://issues.workrave.org/cgi-bin/bugzilla/show_bug.cgi?id=687)
  * Add homepage field to debian/control

 -- Francois Marier <francois@debian.org>  Thu, 25 Oct 2007 16:27:57 +1300

workrave (1.8.5-1) unstable; urgency=low

  * New upstream release (closes: #441930, #416252)
  * Add a menu icon for GNOME/KDE (closes: #318835)

 -- Francois Marier <francois@debian.org>  Tue, 25 Sep 2007 13:08:40 +1200

workrave (1.8.4-9) unstable; urgency=low

  * Fix display of portugese translation (closes: #440118)
    Thanks to Goedson Teixeira Paixao and Rob Caelers for the patch!

 -- Francois Marier <francois@debian.org>  Fri, 31 Aug 2007 12:51:22 +1200

workrave (1.8.4-8) unstable; urgency=low

  * Build with dbus support and provide an example script in
    /usr/share/doc/workrave/examples (closes: #373289)
  * Add a blurb in README.Debian about the above example script

 -- Francois Marier <francois@debian.org>  Mon, 27 Aug 2007 12:29:07 +1200

workrave (1.8.4-7) unstable; urgency=low

  * Suggest values for the micro and rest breaks in README.Debian
  * debian/control: mention the collab-maint svn repo

 -- Francois Marier <francois@debian.org>  Mon, 20 Aug 2007 14:57:37 +1200

workrave (1.8.4-6) unstable; urgency=low

  * Get a fix from upstream svn (closes: #419100)
  * Fixed the watch file

